#ifndef __GGIART_H__
#define __GGIART_H__

#include <ggi/ggi.h>
#include "ggiart_art.h"
#include "ggiart_rops.h"

int ggiartInit(void);
int ggiartExit(void);

int ggiartAttach(ggi_visual_t vis);
int ggiartDetach(ggi_visual_t vis);

void ggiartRenderSVP    (ggi_visual_t,
			 const ggiart_svp_t,
			 const ggiart_uta_t,
			 const ggiart_rop_t);

void ggiartRenderBuffer (ggi_visual_t, const ggiart_buffer_t, const
			 double[6], const ggiart_uta_t, int alpha);

/*
void ggiartRenderSpans  (ggi_visual_t, ggi_spans_t, ggiart_uta_t, ggi_rop_t);

ggiart_spans_t ggiartCompileSVP    (ggi_visual_t, ggiart_svp_t);
ggiart_spans_t ggiartCompileBuffer (ggi_visual_t, ggiart_buffer_t, double [6]);

void ggiartDeleteSpans (ggiart_spans_t);
*/

void ggiartFillscreen  (ggi_visual_t, const ggiart_uta_t);

#endif /* __GGIART_H__ */
